/* 8BitAmEthernet - BlueMini
 * version 0.1.2 date 2007-12-29
 * Copyright 2005-2007 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 * a project of CCC-AC - http://www.cccac.de/
 */

#include "config.h"

//MAC address
unsigned char ConfigMac[6] = { 0x02, 0xCC, 0xC0, 0xAC, 0x00, 0x00 }; //(extern)

//IP configuration
unsigned char ConfigIp[4] = { 192, 168, 23, 8 }; //own IP address (extern)
unsigned char ConfigMask[4] = { 255, 255, 255, 0 }; //subnet mask (extern)
unsigned char ConfigGw[4] = { 192, 168, 23, 1 }; //gateway IP address (extern)

//port for S8P
unsigned short ConfigS8pPort = 8; //disabled if 0 (extern)

//symmetric key for S8P
unsigned char ConfigS8pKey[16] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }; //(extern)

//port for webserver
unsigned short ConfigHttpPort = 80; //disabled if 0 (extern)

//default output state
unsigned char ConfigDefOut = 0x00; //(extern)

