/* 8BitAmEthernet - BlueMini
 * version 0.1.2 date 2007-12-29
 * Copyright 2005-2007 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 * a project of CCC-AC - http://www.cccac.de/
 */

#ifndef INC_output
#define INC_output

//initialize
extern void OutputInit( void );

//get state of an output
extern char OutputGet( unsigned char OutputNo );

//change output
//Action: 0=turn off, 1=turn on, -1=toggle
extern void OutputChange( signed char Action, unsigned char OutputNo );

//change all outputs
//Action: 0=turn off, 1=turn on, -1=toggle
extern void OutputChangeAll( signed char Action );

//get output state
extern unsigned char OutputGetState( void );

//set output state
extern void OutputSetState( unsigned char NewState );

#endif //#ifdef INC_output

